select * from SaoJose2020..Fornecedor

---migrar Fornecedores
set identity_insert BancoGerencial..Fornecedor on 
insert into BancoGerencial..Fornecedor
(Codigo,
Cpf,
Rg,
Nome,
Apelido,
Endereco,
Bairro, 
Cidade,
FisicaJuridica,
CEP,
UF,
Numero,
Telefone,
Celular,
Email,
Inativo
)
select 
cli.CODIGO,
ltrim(rtrim(cli.CNPJ)),
ltrim(rtrim(cli.INSCR)),
ltrim(rtrim(cli.RAZAO)),
ltrim(rtrim(cli.RAZAO)),
ltrim(rtrim(cli.ENDERECO)),
ltrim(rtrim(cli.BAIRRO)),
ltrim(rtrim(cli.CIDADE)),
'J',
replace(replace(cli.CEP, '.',''), '-', ''),
ltrim(rtrim(cli.ESTADO)),
cli.Numero,
ltrim(rtrim(cli.FONE1)),
ltrim(rtrim(cli.FONE2)),
EMAIL,
'N'
from SaoJose2020..Fornecedor as cli
where cli.CODIGO > 3
set identity_insert BancoGerencial..Fornecedor off

update Fornecedor set DataHoraUltimaGravacao = GETDATE(), UsuarioUltimaGravacao = 'MIGRAÇÃO';

